Skip to content

退款请求

  • Endpoint: POST /delSuffixStart6
  • Tags: 收款

Description

注意请求地址不包含括号内的接口说明

Parameters

FieldInTypeRequiredConstraintsDescription
signheaderstringYes

Parameter Examples

  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
merchantIdstringYesmaxLength: 30PayerMax分配给商户的唯一标识
bizTypestringYesmaxLength: 30业务代码,此接口需传入“refundApply”
versionstringYesmaxLength: 5接口版本。当前值为:2.1
refundIdstringYesmaxLength: 64商户退款请求流水号
orderIdstringYesmaxLength: 64原商户订单号
amountstringYesmaxLength: 12退款金额等于原订单金额,目前暂不支持部分退款
currencystringYesmaxLength: 3货币代码,大写字母,参见【支持的国家与币种
callbackUrlstringNomaxLength: 256退款结果callBack URL,以http/https开头,传入该值可获得【退款结果异步回调通知
commentstringYesmaxLength: 256退款说明
emailstringNomaxLength: 32巴西的Lottery和Boleto支付方式退款,上送邮箱接受退款信息收集页

Example

json
{
  "merchantId": "SP12345678",
  "bizType": "refundApply",
  "version": "2.1",
  "refundId": "2018111211260556846",
  "orderId": "1535433555559",
  "amount": "1000.00",
  "currency": "INR",
  "callbackUrl": "https://***.com/revMsg",
  "comments": "Sales return",
  "email": "123@gmail.com"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
bizCodestringYesmaxLength: 10返回码
messagestringNomaxLength: 256返回描述
dataobjectYes返回数据体,内容参考下方的【data参数】
data.refundIdstringYesmaxLength: 64商户退款请求流水号
data.tradeNostringYesmaxLength: 64payermax平台订单号
data.orderIdstringYesmaxLength: 64原交易商户订单号
data.statusnumberYes退款状态: 0-退款初始,1-退款成功,2-退款失败
data.errorCodestringNomaxLength: 64退款错误码
data.errorMsgstringNomaxLength: 256退款错误原因

Response Example

json
{
  "bizCode": "0000",
  "data": {
    "tradeNo": "20220914153025TI2536162084804117",
    "refundId": "2018111211260556846",
    "orderId": "1535433555559",
    "status": 0
  }
}

此页面的内容有帮助吗?

感谢您帮助改进 PayerMax 产品文档!

Released under the MIT License.